/*
 *  Copyright (C) 2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#include "../config.h"
#include "kiba-rc.h"

static KibaRC* kiba_rc = NULL;

static KibaRC* kiba_rc_new (void) {
	KibaRC *rc;
	
	rc = g_new0 (KibaRC, 1);
	
	rc->popup.draw = TRUE;
	
	/* shape defaults */
	rc->popup.topleft = KIBA_ROUNDED;
	rc->popup.topright = KIBA_ROUNDED;
	rc->popup.bottomleft = KIBA_ROUNDED;
	rc->popup.bottomright = KIBA_ROUNDED;
	rc->popup.corner_radius = 5.0f;
	rc->popup.border_width  = 5;
	
	/* style defaults */
	rc->popup.background.style = KIBA_GRADIENT;
	rc->popup.border_color = (KibaRGBA) { 0.8f, 0.8f, 0.8f, 0.8f };
	rc->popup.gradient = g_new0(KibaRGBA, 1);
	rc->popup.gradient[0] = (KibaRGBA) {1.0f,1.0f,1.0f,1.0f};
	rc->popup.numColors = 1;
}

KibaRC* kiba_rc_get (void) {
	if (!kiba_rc)
		kiba_rc = kiba_rc_new();
	
	return kiba_rc;
}
